{"_id":"59e70b9fe027ae002e7d2f2c","category":{"_id":"59e70b9ee027ae002e7d2ed4","version":"59e70b9ee027ae002e7d2ed2","project":"5496d393f52a630b00519cdd","__v":0,"sync":{"url":"","isSync":false},"reference":false,"createdAt":"2015-12-01T11:28:38.565Z","from_sync":false,"order":1,"slug":"getting-started-ios","title":"iOS Reference"},"project":"5496d393f52a630b00519cdd","user":"5496d353f52a630b00519cdc","parentDoc":null,"version":{"_id":"59e70b9ee027ae002e7d2ed2","project":"5496d393f52a630b00519cdd","__v":2,"createdAt":"2017-10-18T08:06:54.462Z","releaseDate":"2017-10-18T08:06:54.462Z","categories":["59e70b9ee027ae002e7d2ed3","59e70b9ee027ae002e7d2ed4","59e70b9ee027ae002e7d2ed5","59e70b9ee027ae002e7d2ed6","59e70b9ee027ae002e7d2ed7","59e70b9ee027ae002e7d2ed8","59e70b9ee027ae002e7d2ed9","59e70b9ee027ae002e7d2eda","59e70b9ee027ae002e7d2edb","59e70b9ee027ae002e7d2edc","59e70b9ee027ae002e7d2edd","59e70b9ee027ae002e7d2ede","59e70b9ee027ae002e7d2edf","5b8661ccdd19310003a3fa0b"],"is_deprecated":false,"is_hidden":false,"is_beta":true,"is_stable":true,"codename":"","version_clean":"2.0.10","version":"2.0.10"},"githubsync":"","__v":0,"updates":[],"next":{"pages":[],"description":""},"createdAt":"2017-09-28T13:57:46.982Z","link_external":false,"link_url":"","sync_unique":"","hidden":false,"api":{"results":{"codes":[]},"settings":"","auth":"required","params":[],"url":""},"isReference":false,"order":10,"body":"In order to reduce friction and improve integration, the Placer SDK has moved to a Private-Repository. Please follow these steps to update your integration:\n\n##Step 1: Update your podfile:\n1. Add the Placer's specs file to the beging of your podfile:\n[block:code]\n{\n  \"codes\": [\n    {\n      \"code\": \"source 'https://placer-integration:::at:::bitbucket.org/placer-io/Specs.git'\",\n      \"language\": \"text\",\n      \"name\": \"podfile\"\n    }\n  ]\n}\n[/block]\n2. Update the Placer pod as follows:\n[block:code]\n{\n  \"codes\": [\n    {\n      \"code\": \"pod 'Placer', '~> 1.4.0'\",\n      \"language\": \"text\",\n      \"name\": \"podfile\"\n    }\n  ]\n}\n[/block]\n##Step 2: Run \"pod update\"\nWhen prompted to enter a password, use the one provided by your account manager. The Password is also available in the dashboard in the[ \"download SDK\" section.](https://dashboard.placer.io/#/download)\n[block:callout]\n{\n  \"type\": \"info\",\n  \"title\": \"Note\",\n  \"body\": \"In order to use CocoaPods public repository, make sure you include the CocoaPods source as follows:\\nsource 'https://github.com/CocoaPods/Specs.git'\"\n}\n[/block]\nYour final podfile should look like this:\n[block:code]\n{\n  \"codes\": [\n    {\n      \"code\": \"source 'https://placer-integration@bitbucket.org/placer-io/Specs.git'\\nsource 'https://github.com/CocoaPods/Specs.git'\\n\\ntarget 'PlacerDemoApp' do\\n  \\n  pod 'Placer', '~> 1.4.0’\\n\\t\\n  # Other pods\\n\\nend\",\n      \"language\": \"text\",\n      \"name\": \"podfile\"\n    }\n  ]\n}\n[/block]\n##That's it! \nYou're good to go.","excerpt":"","slug":"cocoapod-private-repository-migration","type":"basic","title":"CocoaPods - Private-Repository Migration"}

CocoaPods - Private-Repository Migration


In order to reduce friction and improve integration, the Placer SDK has moved to a Private-Repository. Please follow these steps to update your integration: ##Step 1: Update your podfile: 1. Add the Placer's specs file to the beging of your podfile: [block:code] { "codes": [ { "code": "source 'https://placer-integration@bitbucket.org/placer-io/Specs.git'", "language": "text", "name": "podfile" } ] } [/block] 2. Update the Placer pod as follows: [block:code] { "codes": [ { "code": "pod 'Placer', '~> 1.4.0'", "language": "text", "name": "podfile" } ] } [/block] ##Step 2: Run "pod update" When prompted to enter a password, use the one provided by your account manager. The Password is also available in the dashboard in the[ "download SDK" section.](https://dashboard.placer.io/#/download) [block:callout] { "type": "info", "title": "Note", "body": "In order to use CocoaPods public repository, make sure you include the CocoaPods source as follows:\nsource 'https://github.com/CocoaPods/Specs.git'" } [/block] Your final podfile should look like this: [block:code] { "codes": [ { "code": "source 'https://placer-integration@bitbucket.org/placer-io/Specs.git'\nsource 'https://github.com/CocoaPods/Specs.git'\n\ntarget 'PlacerDemoApp' do\n \n pod 'Placer', '~> 1.4.0’\n\t\n # Other pods\n\nend", "language": "text", "name": "podfile" } ] } [/block] ##That's it! You're good to go.